SymbolTable.Entry (Tomcat API Documentation)
Keywords: org.apache.jasper.xmlparser.SymbolTable.Entry class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.xmlparser
Class SymbolTable.Entry

    java.lang.Object
      org.apache.jasper.xmlparser.SymbolTable.Entry

Enclosing class:
  SymbolTable

    protected static final class SymbolTable.Entry

extends java.lang.Object

This class is a symbol table entry. Each entry acts as a node in a linked list.

Field Summary
`char[]` | `characters` Symbol characters.
`SymbolTable.Entry` | `next` The next entry.
`java.lang.String` | `symbol` Symbol.

Constructor Summary
`SymbolTable.Entry(char[] ch, int offset, int length, SymbolTable.Entry next)` Constructs a new entry from the specified symbol information and next entry reference.
`SymbolTable.Entry(java.lang.String symbol, SymbolTable.Entry next)` Constructs a new entry from the specified symbol and next entry reference.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### symbol

    public java.lang.String symbol

  Symbol.

### characters

    public char[] characters

  Symbol characters. This information is duplicated here for comparison performance.

### next

    public SymbolTable.Entry next

  The next entry.

Constructor Detail

### SymbolTable.Entry

    public SymbolTable.Entry(java.lang.String symbol,
                             SymbolTable.Entry next)

  Constructs a new entry from the specified symbol and next entry reference.

### SymbolTable.Entry

    public SymbolTable.Entry(char[] ch,
                             int offset,
                             int length,
                             SymbolTable.Entry next)

  Constructs a new entry from the specified symbol information and next entry reference.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.